List file artifacts for a run
curl --request GET \
--url https://api.superglue.ai/v1/runs/{runId}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.superglue.ai/v1/runs/{runId}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.superglue.ai/v1/runs/{runId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fileArtifacts": [
{
"fileKey": "report",
"filename": "monthly_report.csv",
"contentType": "text/csv",
"size": 52480,
"downloadUrl": "https://s3.amazonaws.com/bucket/org/run-files/runId/report.csv?X-Amz-Expires=3600"
}
]
}Runs
List file artifacts for a run
List all file artifacts produced by a run’s output transform, with fresh presigned download URLs (1 hour TTL).
GET
/
runs
/
{runId}
/
files
List file artifacts for a run
Authorizations
Static API key authentication using Bearer token scheme.
Include your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY
Alternatively, you can use the token query parameter to authenticate.
API keys can be generated in your superglue dashboard.
Path Parameters
Response
File artifacts list
Show child attributes
Show child attributes
Was this page helpful?
⌘I